| Home | Libraries | People | FAQ | More

## Function template transform_strict

boost::yap::transform_strict

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr, typename Transform, typename... Transforms>
      decltype(auto)
      transform_strict(Expr && expr, Transform && transform,
                       Transforms &&... transforms);

## Description

Returns the result of transforming expr using whichever overload of `Transform::operator()` best matches expr. If no overload of `Transform::operator()` matches, a compile-time error results.

| Note
Transformations can do anything: they may have side effects; they may mutate values; they may mutate types; and they may do any combination of these.